-----------------------------------------------------------
--Search and Replace All as follows:
-- 1) Replace <DB> with the name of the database to create.
--    (e.g., Substitute Dining for <DB> be sure to delete the angle brackets)
-- 2) Replace <PATH> with the full path to this file and 
--    others associated with it. Ensure it ends with a 
--    backslash. e.g., replace <PATH> with C:\MyDatabases\
-----------------------------------------------------------
--
IF NOT EXISTS(SELECT * FROM sys.databases
          WHERE name = N'<DB>')
	CREATE DATABASE <DB>
GO
USE <DB>
--
-- Alter the path so the script can find the CSV files
--
DECLARE
   @data_path nvarchar(256);
SELECT @data_path = '<PATH>';
--
--GO
-- =======================================
-- Delete existing tables
--
If Exists(SELECT * FROM sys.tables WHERE name = N'Cars') drop table Cars;
--
-- Create tables
--
CREATE TABLE Cars
(
	CarID  int identity(1,1),
	[Year] int NOT NULL,
	[Make] nvarchar(100) NOT NULL,
	[Model] nvarchar(100) NOT NULL,
	SecTo60 float NULL,
	[Category] nvarchar(100) NULL,
	MPGCity int NULL,
	Price money NULL,
	[Weight] int NULL,
	Cylinders int NULL,
	HP int NULL,
	Seats int NULL,
	 CONSTRAINT pk_Cars PRIMARY KEY (CarID)
);
--
-- Load table data
-- 1: Cars
--
EXECUTE (N'BULK INSERT Cars FROM ''' + @data_path + N'Cars2009.csv''
WITH (
    CHECK_CONSTRAINTS,
    CODEPAGE=''ACP'',
    DATAFILETYPE = ''char'',
    FIELDTERMINATOR= '','',
    ROWTERMINATOR = ''\n'',
    KEEPIDENTITY,
    TABLOCK
);');


GO
-- ====================================
-- List the table names and row counts
SET NOCOUNT ON
SELECT 'Cars' "Table", COUNT(*) "Rows" FROM Cars
ORDER BY 1;
SET NOCOUNT OFF
Go

